## erlang-erlydtl 0.15.0

=== Makefile ===
REBAR=rebar3 $(REBAR_ARGS)

.PHONY: all
all: compile

.PHONY: compile
compile: slex
	@$(REBAR) compile

.PHONY: slex
slex: src/erlydtl_scanner.erl

src/erlydtl_scanner.erl: src/erlydtl_scanner.slex
	@$(REBAR) slex compile

.PHONY: check
check: test dialyze

.PHONY: test
test:
	@$(REBAR) eunit

.PHONY: dialyze
dialyze: compile
	@$(REBAR) dialyzer

.PHONY: clean
clean:
	@$(REBAR) clean

.PHONY: realclean
realclean: clean
	rm -rf _build

.PHONY: committed
committed:
	@git diff --no-ext-diff --quiet --exit-code || { echo "there are uncommitted changes in the repo." ; false ;}

.PHONY: committed
release: committed check
	@{														      \
		V0=$$(grep vsn src/erlydtl.app.src | sed -e 's/.*vsn,.*"\(.*\)".*/\1/')					   && \
		V1=$$(grep '##' -m 1 NEWS.md | sed -e 's/##[^0-9]*\([0-9.-]*\).*/\1/')					   && \
		read -e -p "OK, all tests passed, current version is $$V0, which version should we release now? ($$V1)" V2 && \
		: $${V2:=$$V1}												   && \
		echo "$$V2 it is..."											   && \
		sed -i -e 's/vsn,.*}/vsn, "'$$V2'"}/' src/erlydtl.app.src						   && \
		git ci -m "release v$$V2" src/erlydtl.app.src								   && \
		git tag $$V2												   && \
		echo 'Updated src/erlydtl.app.src and tagged, run `git push origin master --tags` when ready'                 \
	;}

=== debian/changelog ===
erlang-erlydtl (0.15.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1127485)

 -- Dominik George <natureshadow@debian.org>  Sat, 07 Feb 2026 22:39:01 +0000

=== debian/control ===
Source: erlang-erlydtl
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Dominik George <natureshadow@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-rebar (>= 0.0.6),
               erlang-parsetools
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-erlydtl
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-erlydtl.git
Homepage: https://github.com/erlydtl/erlydtl

Package: erlang-erlydtl
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base, ${erlang-abi:Depends},
         ${erlang:Depends}
Multi-Arch: allowed
Description: Django templates for Erlang
 ErlyDTL compiles Django Template Language to Erlang bytecode.
 .
 ErlyDTL implements the Django Template Language as documented for
 Django version 1.6. It is intended to be completely compatible,
 with a few differences.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk
export ERL_COMPILER_OPTIONS=deterministic

DESTDIR=$(CURDIR)/debian/erlang-erlydtl


%:
	dh $@ --buildsystem=rebar --with rebar

=== debian/watch ===
Version: 5
Template: GitHub
Dist: https://github.com/erlydtl/erlydtl
